import "@testing-library/jest-dom";
import { render, screen } from "@testing-library/react";
import CreatePage from "../../../pages/posts/create";
import { useSession } from "next-auth/react";

jest.mock("next-auth/react", () => {
  return {
    useSession: jest.fn().mockReturnValue({
      status: "authenticated",
      data: { user: { email: "a", name: "Delta", image: "c" } },
    }),
  };
});

describe("Create Page", () => {
  it("renders create page", () => {
    const mockSession = {
      status: "authenticated",
      data: { user: { email: "a", name: "Delta", image: "c" } },
    };

    useSession.mockReturnValueOnce([mockSession, false]);

    render(<CreatePage />);

    const heading = screen.getByTestId("create-post-form");

    expect(heading).toBeInTheDocument();
  });
});
