import { test, expect } from "@playwright/test";

test("has title", async ({ page }) => {
  await page.goto("http://localhost:3000");

  // Expect a title "to contain" a substring.
  await expect(page).toHaveTitle(/Next.js Sample Website/);
});

test("visit post page", async ({ page }) => {
  await page.goto("http://localhost:3000");

  // Click the first post.
  await page.locator('a[href*="/posts/"]').first().click();
  await page.waitForLoadState("domcontentloaded");

  // Expects page to have the same heading and title.
  await expect(await page.title()).toBe(
    await page.getByRole("heading", { level: 1 }).innerText()
  );
});
