import prisma from "../lib/prisma";

export class PostDB {
  create(data, userId) {
    prisma.post.create({
      data: {
        ...data,
        user: { connect: { id: userId } },
      },
    });
  }

  update({ id, ...data }, userId) {
    prisma.post.update({
      where: {
        id,
      },
      data: {
        ...data,
        user: { connect: { id: userId } },
      },
    });
  }
}
