import Layout from "../../components/layout";
import prisma from "../../lib/prisma";
import Head from "next/head";
import Date from "../../components/date";
import utilStyles from "../../styles/utils.module.css";

export async function getServerSideProps({ params }) {
  var postData = await prisma.post.findUnique({
    where: {
      id: String(params?.id),
    },
    include: {
      user: true,
    },
  });

  postData.date = postData.date.toISOString();

  return {
    props: {
      postData,
    },
  };
}

export default function Post({ postData }) {
  return (
    <Layout home={false}>
      <Head>
        <title>{postData.title}</title>
      </Head>
      <article>
        <h1 className={utilStyles.headingXl}>{postData.title}</h1>
        <div className={utilStyles.lightText}>
          <p>
            <Date dateString={postData.date} /> by {postData.user?.name}
          </p>
        </div>
        <div dangerouslySetInnerHTML={{ __html: postData.content }} />
      </article>
    </Layout>
  );
}
