export class PostService {
  constructor(postDB) {
    this.postDB = postDB;
  }

  createPost({ title, content }, userId) {
    if (typeof title !== "string") {
      throw new TypeError('Expected "title" to be of type "string"');
    }

    if (title.length > 50) {
      throw new Error(
        `"title" can have a maximum of 50 characters but received ${data.content.length}`
      );
    }

    // ... more checks

    return this.postDB.create(
      {
        title: title,
        content: content,
      },
      userId
    );
  }

  editPost({ title, content }, userId) {
    // ... some checks

    return this.postDB.update(
      {
        title: title,
        content: content,
      },
      userId
    );
  }
}
